Package de.pangaea.metadataportal.config

## Enum FieldConfig.DataType

- java.lang.Object
- - java.lang.Enum<FieldConfig.DataType>
  - - de.pangaea.metadataportal.config.FieldConfig.DataType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FieldConfig.DataType>`
  Enclosing class:
    FieldConfig

      public static enum FieldConfig.DataType
      extends Enum<FieldConfig.DataType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` |
    `DATETIME` |
    `INTEGER` |
    `JSON` |
    `NUMBER` |
    `STRING` |
    `XHTML` |
    `XML` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FieldConfig.DataType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FieldConfig.DataType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final FieldConfig.DataType STRING

    - #### NUMBER

          public static final FieldConfig.DataType NUMBER

    - #### DATETIME

          public static final FieldConfig.DataType DATETIME

    - #### INTEGER

          public static final FieldConfig.DataType INTEGER

    - #### BOOLEAN

          public static final FieldConfig.DataType BOOLEAN

    - #### XML

          public static final FieldConfig.DataType XML

    - #### XHTML

          public static final FieldConfig.DataType XHTML

    - #### JSON

          public static final FieldConfig.DataType JSON

  - ### Method Detail

    - #### values

          public static FieldConfig.DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldConfig.DataType c : FieldConfig.DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldConfig.DataType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null